Richiesta pacchetto compat-wireless dkms

Segnalazioni di pacchetti utili, richieste di creazione pacchetti e supporto tecnico
Rispondi
kicka
Novello Arciere
Messaggi: 58
Iscritto il: 13 gennaio 2012, 9:55
Località: Palermo

Richiesta pacchetto compat-wireless dkms

Messaggio da kicka » 14 agosto 2012, 12:39

Ciao a tutti, secondo pacchetto di cui ho bisogno ardentemente... mi serve per abilitare la porta ethernet dell' ASUS N56V , una Atheros AR8161. Ogni volta che il kernel si aggiorna devo ricompilare il pacchetto per reinstallare la porta ethernet... Se possibile mi piacerebbe avere una versione dkms.

Come sempre mi offro di mantenere il pacchetto.

http://dl.dropbox.com/u/9174110/compat-wireless.install

http://dl.dropbox.com/u/9174110/PKGBUILD
DESKTOP: Asus Sabertooth x58 | RAM: 6 GB 1600 MHz | Intel i7 930 2800 GHz | VGA: 2 NVIDIA GTX 460 1 GB SLI | HD: 4000 GB
LAPTOP: Asus N56V

Happy Linux User since 2006...
The Road so Far...: Ubuntu, Mint, Debian Squeeze, OpenSuse, ArchLinux

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Re: Richiesta pacchetto compat-wireless dkms

Messaggio da ilpianista » 14 agosto 2012, 16:56

Non ho ben capito cosa vuoi in realta`...questo?

Codice: Seleziona tutto

# Maintainer:  hokasch <hokasch at operamail dot com>
# Contributor: Dennis Brendel <buddabrod at gmail dot com>

pkgname=compat-wireless-dkms
_pkgname=compat-wireless
pkgver=2012_07_03
pkgrel=1
pkgdesc='Snapshots of the wireless-testing tree ported to older kernels. This version has to be used in conjunction with DKMS.'
arch=('i686' 'x86_64')
url='http://wireless.kernel.org/'
license=('GPL')
depends=('dkms' 'linux')
makedepends=('linux-api-headers')
conflicts=('compat-wireless')
install=${pkgname}.install
source=(http://wireless.kernel.org/download/compat-wireless-2.6/${_pkgname}-${pkgver//_/-}.tar.bz2)
sha1sums=('ad9e30c1cf0a47a1e2b31d09176fa621c0e5cbbc')

build() {
  cd "$srcdir/${_pkgname}-${pkgver//_/-}"
  
  ##select driver (optional): ath9k ath9k_htc ar9170 b43 zd1211rw
  scripts/driver-select atlx

  ##uncomment if you encounter problems with rt2870 
  #sed -i 's/^\# CONFIG_RT2800USB_RT30XX/CONFIG_RT2800USB_RT30XX/' config.mk
  
  make
}

package() {
  cd "$srcdir/${_pkgname}-${pkgver//_/-}"
  make INSTALL_MOD_PATH=$pkgdir install-modules
  install -dm755 $pkgdir/usr/sbin
  install -dm755 $pkgdir/usr/lib/udev/rules.d
  install -dm755 $pkgdir/usr/lib/compat-wireless
  install scripts/madwifi-unload	$pkgdir/usr/sbin/
  install scripts/athenable		$pkgdir/usr/sbin/
  install scripts/b43enable		$pkgdir/usr/sbin/
  install scripts/iwl-enable		$pkgdir/usr/sbin/
  install scripts/athload		$pkgdir/usr/sbin/
  install scripts/b43load		$pkgdir/usr/sbin/
  install scripts/iwl-load		$pkgdir/usr/sbin/
  install udev/compat_firmware.sh	$pkgdir/usr/lib/udev/
  install udev/50-compat_firmware.rules $pkgdir/usr/lib/udev/rules.d/
  install scripts/modlib.sh		$pkgdir/usr/lib/compat-wireless/
  install scripts/check_depmod  	$pkgdir/usr/lib/compat-wireless/
}

Codice: Seleziona tutto

post_install() {
  /usr/lib/compat-wireless/check_depmod
  /sbin/depmod
  echo
  /usr/sbin/athenable ath5k
  /usr/sbin/iwl-enable iwlagn
  echo 
  echo Madwifi has been disabled, when present.If you
  echo would like to enable MadWifi at a later time 
  echo and disable ath5k you can run: 
  echo
  echo sudo athload madwifi
  echo
  echo To use the new modules, unload your old wireless 
  echo modules first and load them again, or simply reboot. 
  echo 
  echo Make sure to have read the full documentation under
  echo http://wireless.kernel.org/en/users/Download
  echo
}

post_upgrade() {
  post_install
}

post_remove() {
    /sbin/depmod 
}

kicka
Novello Arciere
Messaggi: 58
Iscritto il: 13 gennaio 2012, 9:55
Località: Palermo

Re: Richiesta pacchetto compat-wireless dkms

Messaggio da kicka » 14 agosto 2012, 17:56

Si in pratica e' quello che mi serve solo che non me lo compila quello che hai fatto tu...

Codice: Seleziona tutto

Backup exists: Makefile.bk
Backup exists: Makefile.bk
Backup exists: drivers/net/ethernet/broadcom/Makefile.bk
make -C /lib/modules/3.4.8-1-ARCH/build M=/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12 modules
make[1]: Entering directory `/usr/src/linux-3.4.8-1-ARCH'
scripts/Makefile.build:44: /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/net/ethernet/atheros/alx/Makefile: File o directory non esistente
make[4]: *** Nessuna regola per generare l'obiettivo «/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/net/ethernet/atheros/alx/Makefile».  Stop.
make[3]: *** [/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/net/ethernet/atheros/alx] Errore 2
make[2]: *** [/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/net/ethernet/atheros] Errore 2
make[1]: *** [_module_/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12] Errore 2
make[1]: Leaving directory `/usr/src/linux-3.4.8-1-ARCH'
make: *** [modules] Errore 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
Questo e' quello che mi da...
DESKTOP: Asus Sabertooth x58 | RAM: 6 GB 1600 MHz | Intel i7 930 2800 GHz | VGA: 2 NVIDIA GTX 460 1 GB SLI | HD: 4000 GB
LAPTOP: Asus N56V

Happy Linux User since 2006...
The Road so Far...: Ubuntu, Mint, Debian Squeeze, OpenSuse, ArchLinux

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Re: Richiesta pacchetto compat-wireless dkms

Messaggio da ilpianista » 14 agosto 2012, 18:44

kicka ha scritto:Questo e' quello che mi da...
C'era un typo: alx invece di atlx, prova ora

kicka
Novello Arciere
Messaggi: 58
Iscritto il: 13 gennaio 2012, 9:55
Località: Palermo

Re: Richiesta pacchetto compat-wireless dkms

Messaggio da kicka » 14 agosto 2012, 18:59

nada... arriviamo piu' lontani ma nada...

Codice: Seleziona tutto

[kicka@Lab-Mobile Compat-Wireless-dkms]$ makepkg -g >> PKGBUILD && makepkg -i
==> Download dei sorgenti in corso...
  -> Download di compat-wireless-2012-03-12.tar.bz2 in corso...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 11.0M  100 11.0M    0     0   550k      0  0:00:20  0:00:20 --:--:--  572k
==> Generazione dei controlli dell'integrità dei sorgenti in corso...
    
==> Creazione del pacchetto: compat-wireless-dkms 2012_03_12-1 (mar 14 ago 2012, 18.57.15, CEST)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> È stato trovato compat-wireless-2012-03-12.tar.bz2
==> Validazione dei sorgenti con sha1sums in corso...
    compat-wireless-2012-03-12.tar.bz2 ... Verificato
==> Estrazione dei sorgenti in corso...
  -> Estrazione di compat-wireless-2012-03-12.tar.bz2 con bsdtar in corso...
==> Avvio di build() in corso...
Processing new driver-select request...
Backing up makefile: Makefile.bk
Unsupported driver
./scripts/gen-compat-autoconf.sh /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/.config /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/config.mk > include/linux/compat_autoconf.h
make -C /lib/modules/3.4.8-1-ARCH/build M=/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12 modules
make[1]: Entering directory `/usr/src/linux-3.4.8-1-ARCH'
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/compat/main.o
  LD [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/compat/compat.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bcma/main.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bcma/scan.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bcma/core.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bcma/sprom.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bcma/driver_chipcommon.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bcma/driver_chipcommon_pmu.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bcma/driver_pci.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bcma/host_pci.o
  LD [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bcma/bcma.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/hci_vhci.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/btmrvl_main.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/btmrvl_debugfs.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/hci_ldisc.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/hci_h4.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/hci_bcsp.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/hci_ll.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/hci_ath.o
  LD [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/hci_uart.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/bcm203x.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/bpa10x.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/bfusb.o
  CC [M]  /home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/dtl1_cs.o
/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/dtl1_cs.c:41:24: fatal error: asm/system.h: File o directory non esistente
compilation terminated.
make[3]: *** [/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth/dtl1_cs.o] Errore 1
make[2]: *** [/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12/drivers/bluetooth] Errore 2
make[1]: *** [_module_/home/kicka-Gnome/Asus/Compat-Wireless-dkms/src/compat-wireless-2012-03-12] Errore 2
make[1]: Leaving directory `/usr/src/linux-3.4.8-1-ARCH'
make: *** [modules] Errore 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
EDIT: cmq nel PKGBUILD che ho postato io (che funziona solo che non si reinstalla quando cambio kernel) il comando e' proprio:
scripts/driver-select alx
con atlx alcune scritte iniziali cambiano (Processing new driver-select request...)
DESKTOP: Asus Sabertooth x58 | RAM: 6 GB 1600 MHz | Intel i7 930 2800 GHz | VGA: 2 NVIDIA GTX 460 1 GB SLI | HD: 4000 GB
LAPTOP: Asus N56V

Happy Linux User since 2006...
The Road so Far...: Ubuntu, Mint, Debian Squeeze, OpenSuse, ArchLinux

kicka
Novello Arciere
Messaggi: 58
Iscritto il: 13 gennaio 2012, 9:55
Località: Palermo

Re: Richiesta pacchetto compat-wireless dkms

Messaggio da kicka » 14 agosto 2012, 19:17

Risolto.

Codice: Seleziona tutto

==> Download dei sorgenti in corso...
  -> Download di compat-wireless-2012-03-12-p.tar.bz2 in corso...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 4241k  100 4241k    0     0   251k      0  0:00:16  0:00:16 --:--:--  338k
==> Generazione dei controlli dell'integrità dei sorgenti in corso...
    
==> Creazione del pacchetto: compat-wireless 2012_03_12-1 (mar 14 ago 2012, 19.07.23, CEST)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> È stato trovato compat-wireless-2012-03-12-p.tar.bz2
==> Validazione dei sorgenti con md5sums in corso...
    compat-wireless-2012-03-12-p.tar.bz2 ... Verificato
==> Estrazione dei sorgenti in corso...
  -> Estrazione di compat-wireless-2012-03-12-p.tar.bz2 con bsdtar in corso...
==> Entro nell'ambiente fakeroot...
==> Avvio di build() in corso...
Processing new driver-select request...
Backing up makefile: Makefile.bk
Backup exists: Makefile.bk
Backing up makefile: drivers/net/ethernet/broadcom/Makefile.bk
Backing up makefile: drivers/net/ethernet/atheros/Makefile.bk
Backup exists: Makefile.bk
Backup exists: Makefile.bk
Backup exists: drivers/net/ethernet/broadcom/Makefile.bk
./scripts/gen-compat-autoconf.sh /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/.config /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/config.mk > include/linux/compat_autoconf.h
make -C /lib/modules/3.4.8-1-ARCH/build M=/home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p modules
make[1]: Entering directory `/usr/src/linux-3.4.8-1-ARCH'
  CC [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/compat/main.o
  LD [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/compat/compat.o
  CC [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alx_main.o
  CC [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alx_ethtool.o
  CC [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alc_cb.o
  CC [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alc_hw.o
  CC [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alf_cb.o
  CC [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alf_hw.o
  LD [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alx.o
  Building modules, stage 2.
  MODPOST 2 modules
  CC      /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/compat/compat.mod.o
  LD [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/compat/compat.ko
  CC      /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alx.mod.o
  LD [M]  /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alx.ko
make[1]: Leaving directory `/usr/src/linux-3.4.8-1-ARCH'
make -C /lib/modules/3.4.8-1-ARCH/build M=/home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p modules
make[1]: Entering directory `/usr/src/linux-3.4.8-1-ARCH'
  Building modules, stage 2.
  MODPOST 2 modules
make[1]: Leaving directory `/usr/src/linux-3.4.8-1-ARCH'
make -C /lib/modules/3.4.8-1-ARCH/build M=/home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p "INSTALL_MOD_DIR=updates"  \
	modules_install
make[1]: Entering directory `/usr/src/linux-3.4.8-1-ARCH'
  INSTALL /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/compat/compat.ko
  INSTALL /home/kicka-Gnome/Asus/compat-wireless-prova/src/compat-wireless-2012-03-12-p/drivers/net/ethernet/atheros/alx/alx.ko
  DEPMOD  3.4.8-1-ARCH
make[1]: Leaving directory `/usr/src/linux-3.4.8-1-ARCH'
./scripts/update-initramfs: line 11: /usr/bin/lsb_release: File o directory non esistente
Warning:
You may or may not need to update your initframfs, you should if
any of the modules installed are part of your initramfs. To add
support for your distribution to do this automatically send a
patch against ./scripts/update-initramfs. If your distribution does not require this
send a patch against the '/usr/bin/lsb_release -i -s': 
tag for your distribution to avoid this warning.
==> Rimozione dei dati superflui in corso...
  -> Eliminazione dei file indesiderati in corso...
  -> Compressione delle pagine man ed info in corso...
  -> Rimozione dei simboli non necessari dai binari e dalle librerie in corso...
==> Creazione del pacchetto in corso...
  -> Generazione del file .PKGINFO in corso...
  -> Aggiunta del file install in corso...
  -> Compressione del pacchetto in corso...
==> Uscita dall'ambiente di fakeroot.
==> Compilazione terminata: compat-wireless 2012_03_12-1 (mar 14 ago 2012, 19.08.02, CEST)
==> Installazione del pacchetto compat-wireless con pacman -U in corso...
caricamento dei pacchetti in corso...
attenzione: compat-wireless-2012_03_12-1 è aggiornato ma sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (1): compat-wireless-2012_03_12-1

Dimensione totale dei pacchetti da installare:   0,24 MiB
Dimensione netta dell'aggiornamento:             0,00 MiB

Vuoi procedere con l'installazione? [S/n] s
(1/1) verifica dell'integrità dei pacchetti        [######################] 100%
(1/1) caricamento dei file dei pacchetti           [######################] 100%
(1/1) controllo dei conflitti in corso             [######################] 100%
(1/1) controllo dello spazio disponibile sul d...  [######################] 100%
(1/1) aggiornamento in corso di compat-wireless    [######################] 100%
depmod will prefer updates/ over kernel/ -- OK!

modprobe: invalid option -- 'l'
Module ath_pci not detected -- this is fine
modprobe: invalid option -- 'l'
Module iwl4965 not detected -- this is fine

Madwifi has been disabled, when present.If you
would like to enable MadWifi at a later time
and disable ath5k you can run:

sudo athload madwifi

To use the new modules, unload your old wireless
modules first and load them again, or simply reboot.

Make sure to have read the full documentation under
http://wireless.kernel.org/en/users/Download

[kicka@Lab-Mobile compat-wireless-prova]$ 
Praticamente ho preso il mio PKGBUILD che ho postato all'inizio e il tuo compat-wireless.install

PKGBUILD:

Codice: Seleziona tutto

# Maintainer:  hokasch <hokasch at operamail dot com>
# Contributor: Dennis Brendel <buddabrod at gmail dot com>

pkgname=compat-wireless
pkgver=2012_03_12
pkgrel=1
pkgdesc='Snapshots of the wireless-testing tree ported to older kernels. This version has to be used in conjunction with DKMS.'
arch=('i686' 'x86_64')
url='http://wireless.kernel.org/'
license=('GPL')
depends=('kernel26')
makedepends=('linux-api-headers')
install=$pkgname.install
source=(http://www.orbit-lab.org/kernel/compat-wireless-2.6/2012/03/$pkgname-${pkgver//_/-}-p.tar.bz2)




build() {
  cd "$srcdir/$pkgname-${pkgver//_/-}-p"
  
  ##select driver (optional): ath9k ath9k_htc ar9170 b43 zd1211rw
  scripts/driver-select alx

  ##uncomment if you encounter problems with rt2870 
  #sed -i 's/^\# CONFIG_RT2800USB_RT30XX/CONFIG_RT2800USB_RT30XX/' config.mk
  
  make || return 1
  make INSTALL_MOD_PATH=$pkgdir install-modules || return 1
  install -dm755 $pkgdir/usr/sbin
  install -dm755 $pkgdir/lib/udev/rules.d
  install -dm755 $pkgdir/usr/lib/compat-wireless
  install scripts/madwifi-unload	$pkgdir/usr/sbin/
  install scripts/athenable		$pkgdir/usr/sbin/
  install scripts/b43enable		$pkgdir/usr/sbin/
  install scripts/iwl-enable		$pkgdir/usr/sbin/
  install scripts/athload		$pkgdir/usr/sbin/
  install scripts/b43load		$pkgdir/usr/sbin/
  install scripts/iwl-load		$pkgdir/usr/sbin/
  install udev/compat_firmware.sh	$pkgdir/lib/udev/
  install udev/50-compat_firmware.rules $pkgdir/lib/udev/rules.d/
  install scripts/modlib.sh		$pkgdir/usr/lib/compat-wireless/
  install scripts/check_depmod  	$pkgdir/usr/lib/compat-wireless/
}







md5sums=('dc28563c5f584ddb534e915ee2463abc')
md5sums=('3f358201dcc70c57aea17eb68d571b60')
md5sums=('3f358201dcc70c57aea17eb68d571b60')
md5sums=('3f358201dcc70c57aea17eb68d571b60')
md5sums=('3f358201dcc70c57aea17eb68d571b60')
md5sums=('3f358201dcc70c57aea17eb68d571b60')
compat-wireless.install:

Codice: Seleziona tutto

post_install() {
  /usr/lib/compat-wireless/check_depmod
  /sbin/depmod
  echo
  /usr/sbin/athenable ath5k
  /usr/sbin/iwl-enable iwlagn
  echo 
  echo Madwifi has been disabled, when present.If you
  echo would like to enable MadWifi at a later time 
  echo and disable ath5k you can run: 
  echo
  echo sudo athload madwifi
  echo
  echo To use the new modules, unload your old wireless 
  echo modules first and load them again, or simply reboot. 
  echo 
  echo Make sure to have read the full documentation under
  echo http://wireless.kernel.org/en/users/Download
  echo
}

post_upgrade() {
  post_install
}

post_remove() {
    /sbin/depmod 
}
Cosi' la compilazione avviene. Devo verificare se quando cambio il kernel me lo autoaggiorna tramite dkms
DESKTOP: Asus Sabertooth x58 | RAM: 6 GB 1600 MHz | Intel i7 930 2800 GHz | VGA: 2 NVIDIA GTX 460 1 GB SLI | HD: 4000 GB
LAPTOP: Asus N56V

Happy Linux User since 2006...
The Road so Far...: Ubuntu, Mint, Debian Squeeze, OpenSuse, ArchLinux

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Re: Richiesta pacchetto compat-wireless dkms

Messaggio da ilpianista » 14 agosto 2012, 19:27

Perche` necessiti compat-wireless-p? Vabbo`, sai te :)

kicka
Novello Arciere
Messaggi: 58
Iscritto il: 13 gennaio 2012, 9:55
Località: Palermo

Re: Richiesta pacchetto compat-wireless dkms

Messaggio da kicka » 14 agosto 2012, 19:37

Non so perche necessito della versione p... so solo che con la p mi funziona la ethernet...
DESKTOP: Asus Sabertooth x58 | RAM: 6 GB 1600 MHz | Intel i7 930 2800 GHz | VGA: 2 NVIDIA GTX 460 1 GB SLI | HD: 4000 GB
LAPTOP: Asus N56V

Happy Linux User since 2006...
The Road so Far...: Ubuntu, Mint, Debian Squeeze, OpenSuse, ArchLinux

Rispondi